%global git_date  20250707
%global git_hash  f440cd4d

%global git_ver  0.16.0
%global rel  1

%global src_name %{name}-%{git_date}-%{git_hash}.tar.xz

Name:          alacritty
Version:	%{git_ver}^%{git_date}g%{git_hash}
Release:	%{rel}%{?dist}
Summary:       A cross-platform, GPU enhanced terminal emulator
License:       ASL 2.0
URL:           https://github.com/alacritty/alacritty
Source:	%{url}/%{src_name}

BuildRequires: rust >= 1.43.0
BuildRequires: cargo
BuildRequires: cmake
BuildRequires: freetype-devel
BuildRequires: fontconfig-devel
BuildRequires: libxcb-devel
BuildRequires: desktop-file-utils
BuildRequires: python3
BuildRequires: gcc-c++
BuildRequires: libxkbcommon-devel
BuildRequires: scdoc

%description
Alacritty is a terminal emulator with a strong focus on simplicity and
performance. With such a strong focus on performance, included features are
carefully considered and you can always expect Alacritty to be blazingly fast.
By making sane choices for defaults, Alacritty requires no additional setup.
However, it does allow configuration of many aspects of the terminal.

%prep
%autosetup -n %{name}

%build
cargo build --release
scdoc < extra/man/alacritty.1.scd | gzip -c > extra/man/alacritty.1.gz
scdoc < extra/man/alacritty-msg.1.scd | gzip -c > extra/man/alacritty-msg.1.gz
scdoc < extra/man/alacritty.5.scd | gzip -c > extra/man/alacritty.5.gz
scdoc < extra/man/alacritty-bindings.5.scd | gzip -c > extra/man/alacritty-bindings.5.gz


%install
install -p -D -m755 target/release/alacritty         %{buildroot}%{_bindir}/alacritty
install -p -D -m644 extra/linux/Alacritty.desktop    %{buildroot}%{_datadir}/applications/Alacritty.desktop
install -p -D -m644 extra/linux/org.alacritty.Alacritty.appdata.xml    %{buildroot}%{_metainfodir}/org.alacritty.Alacritty.appdata.xml

install -p -D -m644 extra/logo/alacritty-term.svg    %{buildroot}%{_datadir}/pixmaps/Alacritty.svg
##install -p -D -m644 alacritty.toml                    %{buildroot}%{_datadir}/alacritty/alacritty.toml
install -p -D -m644 extra/completions/alacritty.bash %{buildroot}%{_datadir}/bash-completion/completions/alacritty
install -p -D -m644 extra/completions/_alacritty     %{buildroot}%{_datadir}/zsh/site-functions/_alacritty
install -p -D -m644 extra/completions/alacritty.fish %{buildroot}%{_datadir}/fish/vendor_completions.d/alacritty.fish
install -p -D -m644 extra/man/alacritty.1.gz         %{buildroot}%{_mandir}/man1/alacritty.1.gz
install -p -D -m644 extra/man/alacritty-msg.1.gz     %{buildroot}%{_mandir}/man1/alacritty-msg.1.gz
install -p -D -m644 extra/man/alacritty.5.gz         %{buildroot}%{_mandir}/man5/alacritty.5.gz
install -p -D -m644 extra/man/alacritty-bindings.5.gz     %{buildroot}%{_mandir}/man5/alacritty-bindings.5.gz


%check
desktop-file-validate %{buildroot}%{_datadir}/applications/Alacritty.desktop


%files
%{_bindir}/alacritty
%{_datadir}/applications/Alacritty.desktop
%{_datadir}/pixmaps/Alacritty.svg
##%%{_datadir}/alacritty/alacritty.toml
%{_datadir}/bash-completion/completions/alacritty
%{_datadir}/zsh/site-functions/_alacritty
%{_datadir}/fish/vendor_completions.d/alacritty.fish
%{_mandir}/man1/alacritty.1.gz
%{_mandir}/man1/alacritty-msg.1.gz
%{_mandir}/man5/alacritty.5.gz
%{_mandir}/man5/alacritty-bindings.5.gz


%{_metainfodir}/org.alacritty.Alacritty.appdata.xml

%changelog
%autochangelog
